¿Seguirán funcionando mis extensiones de Joomla! 2.5 en Joomla! 3.x?

From Joomla! Documentation

This page is a translated version of the page Will my Joomla! 2.5 extensions work with Joomla! 3.x? and the translation is 100% complete.

Other languages:
български • ‎Deutsch • ‎English • ‎español • ‎français • ‎Bahasa Indonesia • ‎Nederlands • ‎português • ‎русский
Joomla! 
3.x
series

Las extensiones que sean nativas para Joomla! 2.5 deberían funcionar con muy pocos cambios en Joomla! 3.0, si es que necesitan alguno. Los componentes y las plantillas necesitarán más trabajo, mientras que módulos y plugins deberían funcionar sin ningún problema (asumiendo que no usen métodos obsoletos). Las extensiones que soporten Joomla! 2.5 y 1.5 en el mismo paquete seguramente no funcionarán de inmediato, hasta que los desarrolladores las actualicen para darles compatibilidad con Joomla! 3.

En definitiva, dependerá de la extensión. El Proyecto Joomla! ha hecho el proceso relativamente sencillo para la mayoría de extensiones; sin embargo, para algunas extensiones va a requerir algo de trabajo. Para estar seguro, haga saber a los desarrolladores de extensiones que quiere usar sus extensiones en Joomla 3 y consulte su documentación.